<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum Semester: string
{
    use HasValues;

    case odd = 'odd';
    case even = 'even';

    public function label(): string
    {
        return match ($this) {
            self::odd => 'Ganjil',
            self::even => 'Genap',
        };
    }
}
